<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="msgstore" id="top-user-leftover-bytes">

 <lire:title>Top User Most Message Leftover in Store Report</lire:title>
 <lire:description>
  <para>This report specification will generate a report showing the
   the users that transported the most bytes from the messsage
   store. The number of users to include in the report is configurable.
  </para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="users_to_show" type="int" default="10">
   <lire:description>
    <para>This parameter controls the number of users to include in
     the report.</para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Users With Most Bytes Leftover, Top $users_to_show</lire:title>
 </lire:display-spec>

 <lire:filter-spec>
  <lire:eq arg1="$prot_cmd" arg2="close"/>
 </lire:filter-spec>

 <lire:report-calc-spec>
  <lire:group sort="-bytes_downloaded_total" limit="$users_to_show">
   <lire:field name="user"/>

   <lire:last name="bytes_downloaded_total" field="stored_size" label="Bytes"/>
  </lire:group>
 </lire:report-calc-spec>

</lire:report-spec>

<!-- 
Keep this comment at the end of the file
Local variables:
mode: xml
-->
